Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.training
Class AcademicCourseAlumni

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.training.AcademicCourseAlumni

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator, java.util.Map

    public class AcademicCourseAlumni

extends DBPersist
implements java.util.Comparator

Actual attendant to an academic course

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`AcademicCourseAlumni()`
`AcademicCourseAlumni(JDCConnection oConn, java.lang.String sAcademicCourseId, java.lang.String sContactId)`
`AcademicCourseAlumni(java.lang.String sAcademicCourseId, java.lang.String sContactId)`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`
`boolean` | `equals(AcademicCourseAlumni o2)`
`AcademicCourseBooking` | `getBooking(JDCConnection oConn)`
`Contact` | `getContact(JDCConnection oConn)`
`java.util.HashMap` | `getEvaluations(JDCConnection oConn)`

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, delete, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, store, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### AcademicCourseAlumni

    public AcademicCourseAlumni()

### AcademicCourseAlumni

    public AcademicCourseAlumni(java.lang.String sAcademicCourseId,
                                java.lang.String sContactId)

### AcademicCourseAlumni

    public AcademicCourseAlumni(JDCConnection oConn,
                                java.lang.String sAcademicCourseId,
                                java.lang.String sContactId)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

### equals

    public boolean equals(AcademicCourseAlumni o2)

### getContact

    public Contact getContact(JDCConnection oConn)
                       throws java.sql.SQLException,
                              java.lang.IllegalStateException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`

### getEvaluations

    public java.util.HashMap getEvaluations(JDCConnection oConn)
                                     throws java.sql.SQLException,
                                            java.lang.IllegalStateException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`

### getBooking

    public AcademicCourseBooking getBooking(JDCConnection oConn)
                                     throws java.sql.SQLException,
                                            java.lang.IllegalStateException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD